/*
 Highcharts JS v10.3.3 (2023-01-20)

 Timeline series

 (c) 2010-2021 Highsoft AS
 Author: Daniel Studencki

 License: www.highcharts.com/license
*/
(function(b){"object"===typeof module&&module.exports?(b["default"]=b,module.exports=b):"function"===typeof define&&define.amd?define("highcharts/modules/timeline",["highcharts"],function(c){b(c);b.Highcharts=c;return b}):b("undefined"!==typeof Highcharts?Highcharts:void 0)})(function(b){function c(b,k,p,c){b.hasOwnProperty(k)||(b[k]=c.apply(null,p),"function"===typeof CustomEvent&&window.dispatchEvent(new CustomEvent("HighchartsModuleLoaded",{detail:{path:k,module:b[k]}})))}b=b?b._modules:{};c(b,
"Series/Timeline/TimelinePoint.js",[b["Core/Series/Point.js"],b["Core/Series/SeriesRegistry.js"],b["Core/Utilities.js"]],function(b,k,c){var y=this&&this.__extends||function(){var b=function(d,f){b=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(f,b){f.__proto__=b}||function(f,b){for(var d in b)Object.prototype.hasOwnProperty.call(b,d)&&(f[d]=b[d])};return b(d,f)};return function(d,f){function u(){this.constructor=d}if("function"!==typeof f&&null!==f)throw new TypeError("Class extends value "+
String(f)+" is not a constructor or null");b(d,f);d.prototype=null===f?Object.create(f):(u.prototype=f.prototype,new u)}}(),p=k.seriesTypes.pie.prototype.pointClass,e=c.defined,B=c.isNumber,n=c.merge,w=c.objectEach,q=c.pick;return function(c){function d(){var f=null!==c&&c.apply(this,arguments)||this;f.options=void 0;f.series=void 0;return f}y(d,c);d.prototype.alignConnector=function(){var f=this.series,b=this.connector,c=this.dataLabel,d=this.dataLabel.options=n(f.options.dataLabels,this.options.dataLabels),
h=this.series.chart,l=b.getBBox(),a=l.x+c.translateX;l=l.y+c.translateY;h.inverted?l-=c.options.connectorWidth/2:a+=c.options.connectorWidth/2;h=h.isInsidePlot(a,l);b[h?"animate":"attr"]({d:this.getConnectorPath()});f.chart.styledMode||b.attr({stroke:d.connectorColor||this.color,"stroke-width":d.connectorWidth,opacity:c[e(c.newOpacity)?"newOpacity":"opacity"]})};d.prototype.drawConnector=function(){var b=this.series;this.connector||(this.connector=b.chart.renderer.path(this.getConnectorPath()).attr({zIndex:-1}).add(this.dataLabel));
this.series.chart.isInsidePlot(this.dataLabel.x,this.dataLabel.y)&&this.alignConnector()};d.prototype.getConnectorPath=function(){var b=this.series.chart,c=this.series.xAxis.len,d=b.inverted,e=d?"x2":"y2",h=this.dataLabel,l=h.targetPosition,a={x1:this.plotX,y1:this.plotY,x2:this.plotX,y2:B(l.y)?l.y:h.y},g=(h.alignAttr||h)[e[0]]<this.series.yAxis.len/2;d&&(a={x1:this.plotY,y1:c-this.plotX,x2:l.x||h.x,y2:c-this.plotX});g&&(a[e]+=h[d?"width":"height"]);w(a,function(g,b){a[b]-=(h.alignAttr||h)[b[0]]});
return b.renderer.crispLine([["M",a.x1,a.y1],["L",a.x2,a.y2]],h.options.connectorWidth)};d.prototype.init=function(){var b=c.prototype.init.apply(this,arguments);b.name=q(b.name,"Event");b.y=1;return b};d.prototype.isValid=function(){return null!==this.options.y};d.prototype.setState=function(){var b=c.prototype.setState;this.isNull||b.apply(this,arguments)};d.prototype.setVisible=function(b,c){var d=this.series;c=q(c,d.options.ignoreHiddenPoint);p.prototype.setVisible.call(this,b,!1);d.processData();
c&&d.chart.redraw()};d.prototype.applyOptions=function(d,e){d=b.prototype.optionsToObject.call(this,d);this.userDLOptions=n(this.userDLOptions,d.dataLabels);return c.prototype.applyOptions.call(this,d,e)};return d}(k.series.prototype.pointClass)});c(b,"Series/Timeline/TimelineSeriesDefaults.js",[],function(){"";return{colorByPoint:!0,stickyTracking:!1,ignoreHiddenPoint:!0,legendType:"point",lineWidth:4,tooltip:{headerFormat:'<span style="color:{point.color}">\u25cf</span> <span style="font-size: 10px"> {point.key}</span><br/>',
pointFormat:"{point.description}"},states:{hover:{lineWidthPlus:0}},dataLabels:{enabled:!0,allowOverlap:!0,alternate:!0,backgroundColor:"#ffffff",borderWidth:1,borderColor:"#999999",borderRadius:3,color:"#333333",connectorWidth:1,distance:100,formatter:function(){var b=this.series.chart.styledMode?"<span>\u25cf </span>":'<span style="color:'+this.point.color+'">\u25cf </span>';return b+='<span class="highcharts-strong">'+(this.key||"")+"</span><br/>"+(this.point.label||"")},style:{textOutline:"none",
fontWeight:"normal",fontSize:"12px"},shadow:!1,verticalAlign:"middle"},marker:{enabledThreshold:0,symbol:"square",radius:6,lineWidth:2,height:15},showInLegend:!1,colorKey:"x"}});c(b,"Series/Timeline/TimelineSeries.js",[b["Core/Legend/LegendSymbol.js"],b["Core/Series/SeriesRegistry.js"],b["Core/Renderer/SVG/SVGElement.js"],b["Series/Timeline/TimelinePoint.js"],b["Series/Timeline/TimelineSeriesDefaults.js"],b["Core/Utilities.js"]],function(b,c,p,z,A,e){var k=this&&this.__extends||function(){var b=function(c,
a){b=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(a,b){a.__proto__=b}||function(a,b){for(var g in b)Object.prototype.hasOwnProperty.call(b,g)&&(a[g]=b[g])};return b(c,a)};return function(c,a){function g(){this.constructor=c}if("function"!==typeof a&&null!==a)throw new TypeError("Class extends value "+String(a)+" is not a constructor or null");b(c,a);c.prototype=null===a?Object.create(a):(g.prototype=a.prototype,new g)}}(),n=c.seriesTypes,w=n.column,q=n.line,t=e.addEvent,d=e.arrayMax,
f=e.arrayMin,u=e.defined;n=e.extend;var x=e.merge,v=e.pick;e=function(b){function c(){var a=null!==b&&b.apply(this,arguments)||this;a.data=void 0;a.options=void 0;a.points=void 0;a.userOptions=void 0;a.visibilityMap=void 0;return a}k(c,b);c.prototype.alignDataLabel=function(a,c,d,f){var g=this.chart.inverted,m=this.visibilityMap.filter(function(a){return a}),r=this.visiblePointsCount,e=m.indexOf(a);m=this.options.dataLabels;var h=a.userDLOptions||{};e=m.alternate?e&&e!==r-1?2:1.5:1;r=Math.floor(this.xAxis.len/
r);var k=c.padding;if(a.visible){var l=Math.abs(h.x||a.options.dataLabels.x);g?(g=2*(l-k)-a.itemHeight/2,g={width:g+"px",textOverflow:c.width/g*c.height/2>r*e?"ellipsis":"none"}):g={width:(h.width||m.width||r*e-2*k)+"px"};c.css(g);this.chart.styledMode||c.shadow(m.shadow)}b.prototype.alignDataLabel.apply(this,arguments)};c.prototype.bindAxes=function(){var a=this;b.prototype.bindAxes.call(a);["xAxis","yAxis"].forEach(function(b){"xAxis"!==b||a[b].userOptions.type||(a[b].categories=a[b].hasNames=!0)})};
c.prototype.distributeDL=function(){var a=this,b=a.options.dataLabels,c=1;if(b){var d=b.distance||0;a.points.forEach(function(g){var m;g.options.dataLabels=x((m={},m[a.chart.inverted?"x":"y"]=b.alternate&&c%2?-d:d,m),g.userDLOptions);c++})}};c.prototype.generatePoints=function(){var a=this;b.prototype.generatePoints.apply(a);a.points.forEach(function(b,c){b.applyOptions({x:a.xData[c]},a.xData[c])})};c.prototype.getVisibilityMap=function(){return(this.data.length?this.data:this.userOptions.data).map(function(a){return a&&
!1!==a.visible&&!a.isNull?a:!1})};c.prototype.getXExtremes=function(a){var b=this;a=a.filter(function(a,c){return b.points[c].isValid()&&b.points[c].visible});return{min:f(a),max:d(a)}};c.prototype.init=function(){var a=this;b.prototype.init.apply(a,arguments);a.eventsToUnbind.push(t(a,"afterTranslate",function(){var b,c=Number.MAX_VALUE;a.points.forEach(function(a){a.isInside=a.isInside&&a.visible;a.visible&&!a.isNull&&(u(b)&&(c=Math.min(c,Math.abs(a.plotX-b))),b=a.plotX)});a.closestPointRangePx=
c}));a.eventsToUnbind.push(t(a,"drawDataLabels",function(){a.distributeDL()}));a.eventsToUnbind.push(t(a,"afterDrawDataLabels",function(){var b;a.points.forEach(function(a){if(b=a.dataLabel)return b.animate=function(a){this.targetPosition&&(this.targetPosition=a);return p.prototype.animate.apply(this,arguments)},b.targetPosition||(b.targetPosition={}),a.drawConnector()})}));a.eventsToUnbind.push(t(a.chart,"afterHideOverlappingLabel",function(){a.points.forEach(function(a){a.connector&&a.dataLabel&&
a.dataLabel.oldOpacity!==a.dataLabel.newOpacity&&a.alignConnector()})}))};c.prototype.markerAttribs=function(a,c){var d=this.options.marker,e=a.marker||{},g=e.symbol||d.symbol,f=v(e.width,d.width,this.closestPointRangePx),h=v(e.height,d.height),k=0;if(this.xAxis.dateTime)return b.prototype.markerAttribs.call(this,a,c);c&&(d=d.states[c]||{},c=e.states&&e.states[c]||{},k=v(c.radius,d.radius,k+(d.radiusPlus||0)));a.hasImage=g&&0===g.indexOf("url");a={x:Math.floor(a.plotX)-f/2-k/2,y:a.plotY-h/2-k/2,width:f+
k,height:h+k};return this.chart.inverted?{y:a.x&&a.width&&this.xAxis.len-a.x-a.width,x:a.y&&a.y,width:a.height,height:a.width}:a};c.prototype.processData=function(){var a=0,c;this.visibilityMap=this.getVisibilityMap();this.visibilityMap.forEach(function(b){b&&a++});this.visiblePointsCount=a;for(c=0;c<this.xData.length;c++)this.yData[c]=1;b.prototype.processData.call(this,arguments)};c.defaultOptions=x(q.defaultOptions,A);return c}(q);n(e.prototype,{drawLegendSymbol:b.drawRectangle,drawTracker:w.prototype.drawTracker,
pointClass:z,trackerGroups:["markerGroup","dataLabelsGroup"]});c.registerSeriesType("timeline",e);"";return e});c(b,"masters/modules/timeline.src.js",[],function(){})});
//# sourceMappingURL=timeline.js.map