/*
 Highcharts JS v10.3.3 (2023-01-20)

 X-range series

 (c) 2010-2021 Torstein Honsi, Lars A. V. Cabrera

 License: www.highcharts.com/license
*/
(function(a){"object"===typeof module&&module.exports?(a["default"]=a,module.exports=a):"function"===typeof define&&define.amd?define("highcharts/modules/xrange",["highcharts"],function(h){a(h);a.Highcharts=h;return a}):a("undefined"!==typeof Highcharts?Highcharts:void 0)})(function(a){function h(a,c,t,b){a.hasOwnProperty(c)||(a[c]=b.apply(null,t),"function"===typeof CustomEvent&&window.dispatchEvent(new CustomEvent("HighchartsModuleLoaded",{detail:{path:c,module:a[c]}})))}a=a?a._modules:{};h(a,"Series/XRange/XRangeSeriesDefaults.js",
[a["Core/Utilities.js"]],function(a){var c=a.correctFloat,q=a.isNumber,b=a.isObject;"";return{colorByPoint:!0,dataLabels:{formatter:function(){var a=this.point.partialFill;b(a)&&(a=a.amount);if(q(a)&&0<a)return c(100*a)+"%"},inside:!0,verticalAlign:"middle"},tooltip:{headerFormat:'<span style="font-size: 10px">{point.x} - {point.x2}</span><br/>',pointFormat:'<span style="color:{point.color}">\u25cf</span> {series.name}: <b>{point.yCategory}</b><br/>'},borderRadius:3,pointRange:0}});h(a,"Series/XRange/XRangePoint.js",
[a["Core/Series/SeriesRegistry.js"],a["Core/Utilities.js"]],function(a,c){var q=this&&this.__extends||function(){var a=function(b,e){a=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(a,e){a.__proto__=e}||function(a,e){for(var b in e)Object.prototype.hasOwnProperty.call(e,b)&&(a[b]=e[b])};return a(b,e)};return function(b,e){function c(){this.constructor=b}if("function"!==typeof e&&null!==e)throw new TypeError("Class extends value "+String(e)+" is not a constructor or null");a(b,e);
b.prototype=null===e?Object.create(e):(c.prototype=e.prototype,new c)}}(),b=a.series.prototype.pointClass.prototype;c=c.extend;a=function(a){function c(){var e=null!==a&&a.apply(this,arguments)||this;e.options=void 0;e.series=void 0;return e}q(c,a);c.getColorByCategory=function(a,b){var e=a.options.colors||a.chart.options.colors;a=b.y%(e?e.length:a.chart.options.chart.colorCount);return{colorIndex:a,color:e&&e[a]}};c.prototype.resolveColor=function(){var a=this.series;if(a.options.colorByPoint&&!this.options.color){var b=
c.getColorByCategory(a,this);a.chart.styledMode||(this.color=b.color);this.options.colorIndex||(this.colorIndex=b.colorIndex)}else this.color||(this.color=a.color)};c.prototype.init=function(){b.init.apply(this,arguments);this.y||(this.y=0);return this};c.prototype.setState=function(){b.setState.apply(this,arguments);this.series.drawPoint(this,this.series.getAnimationVerb())};c.prototype.getLabelConfig=function(){var a=b.getLabelConfig.call(this),c=this.series.yAxis.categories;a.x2=this.x2;a.yCategory=
this.yCategory=c&&c[this.y];return a};c.prototype.isValid=function(){return"number"===typeof this.x&&"number"===typeof this.x2};return c}(a.seriesTypes.column.prototype.pointClass);c(a.prototype,{ttBelow:!1,tooltipDateKeys:["x","x2"]});"";return a});h(a,"Series/XRange/XRangeSeries.js",[a["Core/Globals.js"],a["Core/Color/Color.js"],a["Core/Series/SeriesRegistry.js"],a["Core/Utilities.js"],a["Series/XRange/XRangeSeriesDefaults.js"],a["Series/XRange/XRangePoint.js"]],function(a,c,h,b,F,G){function e(){if(this.isXAxis){var a=
v(this.dataMax,-Number.MAX_VALUE);for(var b=0,d=this.series;b<d.length;b++){var g=d[b];if(g.x2Data){var y=0;for(g=g.x2Data;y<g.length;y++){var c=g[y];if(c&&c>a){a=c;var f=!0}}}}f&&(this.dataMax=a)}}var q=this&&this.__extends||function(){var a=function(b,d){a=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(d,a){d.__proto__=a}||function(d,a){for(var g in a)Object.prototype.hasOwnProperty.call(a,g)&&(d[g]=a[g])};return a(b,d)};return function(b,d){function g(){this.constructor=b}if("function"!==
typeof d&&null!==d)throw new TypeError("Class extends value "+String(d)+" is not a constructor or null");a(b,d);b.prototype=null===d?Object.create(d):(g.prototype=d.prototype,new g)}}();a=a.noop;var A=c.parse,B=h.series.prototype,C=h.seriesTypes.column,t=b.addEvent,w=b.clamp,H=b.defined;c=b.extend;var D=b.find,x=b.isNumber,z=b.isObject,u=b.merge,v=b.pick,E=[];b=function(a){function b(){var d=null!==a&&a.apply(this,arguments)||this;d.data=void 0;d.options=void 0;d.points=void 0;return d}q(b,a);b.compose=
function(a){-1===E.indexOf(a)&&(E.push(a),t(a,"afterGetSeriesExtremes",e))};b.prototype.init=function(){a.prototype.init.apply(this,arguments);this.options.stacking=void 0};b.prototype.getColumnMetrics=function(){var d=this,b=function(){for(var a=0,b=d.chart.series;a<b.length;a++){var g=b[a],c=g.xAxis;g.xAxis=g.yAxis;g.yAxis=c}};b();var c=a.prototype.getColumnMetrics.call(this);b();return c};b.prototype.cropData=function(a,b,c,e){b=B.cropData.call(this,this.x2Data,b,c,e);b.xData=a.slice(b.start,b.end);
return b};b.prototype.findPointIndex=function(a){var d=this.cropStart,b=this.points,c=a.id;if(c)var f=(f=D(b,function(a){return a.id===c}))?f.index:void 0;"undefined"===typeof f&&(f=(f=D(b,function(d){return d.x===a.x&&d.x2===a.x2&&!d.touched}))?f.index:void 0);this.cropped&&x(f)&&x(d)&&f>=d&&(f-=d);return f};b.prototype.alignDataLabel=function(d){var b=d.plotX;d.plotX=v(d.dlBox&&d.dlBox.centerX,d.plotX);a.prototype.alignDataLabel.apply(this,arguments);d.plotX=b};b.prototype.translatePoint=function(a){var b=
this.xAxis,d=this.yAxis,c=this.columnMetrics,f=this.options,e=f.minPointLength||0,p=(a.shapeArgs&&a.shapeArgs.width||0)/2,m=this.pointXOffset=c.offset,h=v(a.x2,a.x+(a.len||0)),l=a.plotX,n=b.translate(h,0,0,0,1);h=Math.abs(n-l);var q=this.chart.inverted,k=v(f.borderWidth,1)%2/2,r=c.offset,t=Math.round(c.width);e&&(e-=h,0>e&&(e=0),l-=e/2,n+=e/2);l=Math.max(l,-10);n=w(n,-10,b.len+10);H(a.options.pointWidth)&&(r-=(Math.ceil(a.options.pointWidth)-t)/2,t=Math.ceil(a.options.pointWidth));f.pointPlacement&&
x(a.plotY)&&d.categories&&(a.plotY=d.translate(a.y,0,1,0,1,f.pointPlacement));f=Math.floor(Math.min(l,n))+k;f={x:f,y:Math.floor(a.plotY+r)+k,width:Math.floor(Math.max(l,n))+k-f,height:t,r:this.options.borderRadius};a.shapeArgs=f;q?a.tooltipPos[1]+=m+p:a.tooltipPos[0]-=p+m-f.width/2;p=f.x;m=p+f.width;0>p||m>b.len?(p=w(p,0,b.len),m=w(m,0,b.len),n=m-p,a.dlBox=u(f,{x:p,width:m-p,centerX:n?n/2:null})):a.dlBox=null;p=a.tooltipPos;m=q?1:0;n=q?0:1;c=this.columnMetrics?this.columnMetrics.offset:-c.width/2;
p[m]=q?p[m]+f.width/2:p[m]+(b.reversed?-1:0)*f.width;p[n]=w(p[n]+(q?-1:1)*c,0,d.len-1);if(d=a.partialFill)z(d)&&(d=d.amount),x(d)||(d=0),a.partShapeArgs=u(f,{r:this.options.borderRadius}),l=Math.max(Math.round(h*d+a.plotX-l),0),a.clipRectArgs={x:b.reversed?f.x+h-l:f.x,y:f.y,width:l,height:f.height}};b.prototype.translate=function(){a.prototype.translate.apply(this,arguments);for(var b=0,c=this.points;b<c.length;b++)this.translatePoint(c[b])};b.prototype.drawPoint=function(a,b){var c=this.options,
d=this.chart.renderer,f=a.shapeType,e=a.shapeArgs,g=a.partShapeArgs,m=a.clipRectArgs,h=c.stacking&&!c.borderRadius,l=a.state,n=c.states[l||"normal"]||{},q="undefined"===typeof l?"attr":b;l=this.pointAttribs(a,l);n=v(this.chart.options.chart.animation,n.animation);var k=a.graphic,r=a.partialFill;if(a.isNull||!1===a.visible)k&&(a.graphic=k.destroy());else{if(k)k.rect[b](e);else a.graphic=k=d.g("point").addClass(a.getClassName()).add(a.group||this.group),k.rect=d[f](u(e)).addClass(a.getClassName()).addClass("highcharts-partfill-original").add(k);
g&&(k.partRect?(k.partRect[b](u(g)),k.partialClipRect[b](u(m))):(k.partialClipRect=d.clipRect(m.x,m.y,m.width,m.height),k.partRect=d[f](g).addClass("highcharts-partfill-overlay").add(k).clip(k.partialClipRect)));this.chart.styledMode||(k.rect[b](l,n).shadow(c.shadow,null,h),g&&(z(r)||(r={}),z(c.partialFill)&&(r=u(c.partialFill,r)),a=r.fill||A(l.fill).brighten(-.3).get()||A(a.color||this.color).brighten(-.3).get(),l.fill=a,k.partRect[q](l,n).shadow(c.shadow,null,h)))}};b.prototype.drawPoints=function(){for(var a=
this.getAnimationVerb(),b=0,c=this.points;b<c.length;b++)this.drawPoint(c[b],a)};b.prototype.getAnimationVerb=function(){return this.chart.pointCount<(this.options.animationLimit||250)?"animate":"attr"};b.prototype.isPointInside=function(b){var c=b.shapeArgs,d=b.plotX,e=b.plotY;return c?"undefined"!==typeof d&&"undefined"!==typeof e&&0<=e&&e<=this.yAxis.len&&0<=(c.x||0)+(c.width||0)&&d<=this.xAxis.len:a.prototype.isPointInside.apply(this,arguments)};b.defaultOptions=u(C.defaultOptions,F);return b}(C);
c(b.prototype,{pointClass:G,cropShoulder:1,getExtremesFromAll:!0,parallelArrays:["x","x2","y"],requireSorting:!1,type:"xrange",animate:B.animate,autoIncrement:a,buildKDTree:a});h.registerSeriesType("xrange",b);return b});h(a,"masters/modules/xrange.src.js",[a["Core/Globals.js"],a["Series/XRange/XRangeSeries.js"]],function(a,c){c.compose(a.Axis)})});
//# sourceMappingURL=xrange.js.map